1. Internal Transfer
FOMO API (v20260326)
  • Welcome
    • Onboarding
    • Webhook
    • Version History
  • OAuth2
    • Request an access token
      POST
  • Storage
    • Overview 🗺️
    • File
      • Create a file
      • Retrieve a file
      • Download file content
  • Simulator
    • Overview 🗺️
    • MCP for AI Agents ✨
      • JSON Configuration
    • Incoming Transfer
      • Create an incoming transfer
  • Treasury
    • Overview 🗺️
    • MCP for AI Agents ✨
      • (Option 1) MCP Bundles (Recommended)
      • (Option 2) JSON Configuration (Most Compatible)
    • Account
      • Retrieve an account
      • List accounts
    • Balance
      • Retrieve a balance
      • List balances
    • Transaction
      • Retrieve a transaction
      • List transactions
    • Virtual Account
      • Retrieve a virtual account
      • List virtual accounts
    • Account Holder
      • Retrieve an account holder
      • List account holders
    • Outgoing Transfer
      • Retrieve an outgoing transfer
      • List outgoing transfers
    • Incoming Transfer
      • Retrieve an incoming transfer
      • List incoming transfers
    • Internal Transfer
      • Retrieve an internal transfer
        GET
      • List internal transfers
        GET
    • Beneficiary
      • Retrieve a beneficiary
      • List beneficiaries
    • Beneficiary Account
      • Retrieve a beneficiary account
      • List beneficiary accounts
    • Quote
      • Retrieve a quote
      • List quotes
    • Trade
      • Retrieve a trade
      • List trades
    • Intents
      • Account Holder Creation
        • Create an account holder creation intent
        • Confirm an account holder creation intent
        • Retrieve an account holder creation intent
        • List account holder creation intents
      • Outgoing Transfer Creation
        • Create an outgoing transfer creation intent
        • Confirm an outgoing transfer creation intent
        • Retrieve an outgoing transfer creation intent
        • List outgoing transfer creation intents
      • Virtual Account Creation
        • Create a virtual account creation intent
        • Set account holder for virtual account creation intent
        • Set account name for virtual account creation intent
        • Set external account for virtual account creation intent
        • Confirm a virtual account creation intent
        • Retrieve a virtual account creation intent
        • List virtual account creation intents
      • Virtual Account Update
        • Create a virtual account update intent
        • Set account name for virtual account update intent
        • Confirm a virtual account update intent
        • Retrieve a virtual account update intent
        • List virtual account update intents
      • Virtual Account Closure
        • Create a virtual account closure intent
        • Confirm a virtual account closure intent
        • Retrieve a virtual account update intent
        • List virtual account update intents
      • Beneficiary Creation
        • Create a beneficiary creation intent
        • Confirm a beneficiary creation intent
        • Retrieve a beneficiary creation intent
        • List beneficiary creation intents
      • Beneficiary Account Creation
        • Create a beneficiary account creation intent
        • Confirm a beneficiary account creation intent
        • Retrieve a beneficiary account creation intent
        • List beneficiary account creation intents
      • Quote Creation
        • Create a quote creation intent
        • Confirm a quote creation intent
        • Retrieve a quote creation intent
        • List quote creation intents
      • Trade Creation
        • Create a trade creation intent
        • Confirm a trade creation intent
        • Retrieve a trade creation intent
        • List trade creation intents
      • Trade Cancellation
        • Create a trade cancellation intent
        • Confirm a trade cancellation intent
        • Retrieve a trade cancellation intent
        • List trade cancellation intents
      • Internal Transfer Creation
        • Create an internal transfer creation intent
        • Confirm an internal transfer creation intent
        • Retrieve an internal transfer creation intent
        • List internal transfer creation intents
  • Compliance
    • Party
      • Retrieve a party
      • List parties
    • Party Attribute
      • Retrieve a party attribute
      • List party attributes
    • Verification
      • Retrieve a verification
      • List verifications
    • Disclosure Consent
      • Retrieve a disclosure consent
      • List disclosure consents
    • Requirement
      • Retrieve a requirement
      • List requirements
    • Capability Grant
      • Retrieve a capability grant
      • List capability grants
    • Collection Session
      • Retrieve a collection session
      • List collection sessions
    • Evidence
      • Retrieve an evidence
      • List evidences
    • Screening
      • Retrieve a screening
      • List screenings
    • Crypto Address
      • Retrieve a crypto address
      • List crypto addresses
    • Travel Rule Message
      • Retrieve a travel rule message
      • List travel rule messages
    • Partner Access
      • Retrieve a partner access
      • List partner accesses
    • Crypto Address Declaration
      • Retrieve a crypto address declaration
      • List crypto address declarations
    • Requirement Type
      • Retrieve a requirement type
      • List requirement types
    • Capability
      • Check a capability
    • Partner
      • Retrieve a partner
      • List partners
    • Intents
      • Verification Creation
        • Create a verification creation intent
        • Set share token for verification creation intent
        • Answer a requirement for verification creation intent
        • Confirm a verification creation intent
        • Retrieve a verification creation intent
        • List verification creation intents
      • Verification Update
        • Create a verification update intent
        • Answer a requirement for verification update intent
        • Confirm a verification update intent
        • Retrieve a verification update intent
        • List verification update intents
      • Party Creation
        • Create a party creation intent
        • Confirm a party creation intent
        • Retrieve a party creation intent
        • List party creation intents
      • Party Attribute Creation
        • Create a party attribute creation intent
        • Confirm a party attribute creation intent
        • Retrieve a party attribute creation intent
        • List party attribute creation intents
      • Party Attribute Update
        • Create a party attribute update intent
        • Confirm a party attribute update intent
        • Retrieve a party attribute update intent
        • List party attribute update intents
      • Crypto Address Creation
        • Create a crypto address creation intent
        • Confirm a crypto address creation intent
        • Retrieve a crypto address creation intent
        • List crypto address creation intents
      • Partner Access Creation
        • Create a partner access creation intent
        • Confirm a partner access creation intent
        • Retrieve a partner access creation intent
        • List partner access creation intents
      • Crypto Address Declaration
        • Create a crypto address declaration intent
        • Confirm a crypto address declaration intent
        • Retrieve a crypto address declaration intent
        • List crypto address declaration intents
  1. Internal Transfer

Retrieve an internal transfer

UAT Env
https://treasury.uat.fomoapis.com/v1
UAT Env
https://treasury.uat.fomoapis.com/v1
GET
https://treasury.uat.fomoapis.com/v1
/internal-transfers/{internal_transfer_id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://treasury.uat.fomoapis.com/v1/internal-transfers/' \
--header 'x-fomo-api-version: v20260326' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": "string",
    "create_time": "string",
    "update_time": "string",
    "token": "string",
    "etag": "string",
    "customer_id": "string",
    "status": "pending",
    "receiving_balance_id": "string",
    "sending_asset": "fiat/SGD",
    "sending_amount": "string",
    "receiving_asset": "fiat/SGD",
    "receiving_amount": "string",
    "remark": "string",
    "source_of_fund": {
        "type": "balance",
        "detail": {
            "quote_id": "string",
            "balance_id": "string"
        }
    },
    "source_of_fund_transaction_id": "string",
    "receiving_transaction_id": "string",
    "transfer": {
        "creditor": {
            "name": "string",
            "address": {
                "postal_address": "string",
                "department": "string",
                "sub_department": "string",
                "street_name": "string",
                "building_number": "string",
                "building_name": "string",
                "floor": "string",
                "post_box": "string",
                "room": "string",
                "post_code": "string",
                "town_name": "string",
                "town_location_name": "string",
                "district_name": "string",
                "country_sub_division": "string",
                "country": "string",
                "address_line": [
                    "string"
                ]
            },
            "identification": {
                "type": "v1",
                "detail": {
                    "deployment_id": "string",
                    "available_balance_id": "string",
                    "total_balance_id": "string"
                }
            },
            "external_account": {
                "type": "crypto-account",
                "detail": {
                    "chain": "ethereum",
                    "address": "0x96fB97f12Beb63D093f9A98d78DB314cD3a25263"
                }
            }
        },
        "debtor": {
            "name": "string",
            "address": {
                "postal_address": "string",
                "department": "string",
                "sub_department": "string",
                "street_name": "string",
                "building_number": "string",
                "building_name": "string",
                "floor": "string",
                "post_box": "string",
                "room": "string",
                "post_code": "string",
                "town_name": "string",
                "town_location_name": "string",
                "district_name": "string",
                "country_sub_division": "string",
                "country": "string",
                "address_line": [
                    "string"
                ]
            },
            "identification": {
                "type": "v1",
                "detail": {
                    "deployment_id": "string",
                    "available_balance_id": "string",
                    "total_balance_id": "string"
                }
            },
            "external_account": {
                "type": "crypto-account",
                "detail": {
                    "chain": "ethereum",
                    "address": "0x96fB97f12Beb63D093f9A98d78DB314cD3a25263"
                }
            }
        },
        "payment_rail": {
            "type": "blockchain",
            "detail": {
                "transaction_hash": "string",
                "block_height": 0
            }
        }
    }
}
Previous
List incoming transfers
Next
List internal transfers
Built with